#######################################################################
# $Id: constants.py,v 1.10 2003/06/20 16:09:03 churchil Exp $
#######################################################################

# game states
GAME_WAITING_TO_START = 0
GAME_PLAYING = 1
GAME_ENDED = 2

# pygame event
USEREVENT_SOCKET_DATA = 1

# strike outcomes
STRIKE_INVALID = -1
STRIKE_FAILED = 0
STRIKE_SUCCESSFUL = 1
STRIKE_SAME_UNIT = 2
STRIKE_HIT_FLAG = 3

# terrain modifiers
TERRAIN_IMPASSABLE = 0
TERRAIN_NORMAL = 1

# player side, red always takes bottom and always goes first
RED = 'red'
BLUE = 'blue'

# game piece info
RANKS = { 'marshall':1, 'general':2, 'colonel':3, 'major':4, 'captain':5, 'lieutenant':6, 'sergeant':7, 'miner':8, 'scout':9, 'bomb':'b', 'spy':'s', 'flag':'f' }
STARTING_PIECES = { 'marshall':1, 'general':1, 'colonel':2, 'major':3, 'captain':4, 'lieutenant':4, 'sergeant':4, 'miner':5, 'scout':8, 'bomb':6, 'spy':1, 'flag':1 }
